Bug 1031343 - [PATCH] Support for N-trig tablet on Sony Vaio Duo 11
[PATCH] Support for N-trig tablet on Sony Vaio Duo 11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-wacom (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-16 20:21 EST by Stephan Mueller
Modified: 2014-03-04 01:43 EST (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-drv-wacom-0.23.0-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-04 01:35:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evemu-record of DuoSense touch pad (9.89 KB, application/x-bzip)
2014-01-17 08:44 EST, Stephan Mueller
no flags Details
evemu-record of DuoSense pen (9.99 KB, application/x-bzip)
2014-01-17 08:44 EST, Stephan Mueller
no flags Details
uncompressed evemu record DuoSens touch pad (115.41 KB, text/plain)
2014-01-19 19:55 EST, Peter Hutterer
no flags Details
uncompressed evemu record DuoSense pen (112.81 KB, text/plain)
2014-01-19 19:56 EST, Peter Hutterer
no flags Details

  None (edit)
Description Stephan Mueller 2013-11-16 20:21:39 EST
Description of problem:
The N-trig tablet on a Sony Vaio Duo 11 is initialized with the evdev driver and not the wacom driver.

lsusb:
Bus 001 Device 003: ID 1b96:0f00 N-Trig 

dmesg | grep N-trig
$ dmesg | grep N-trig
[    2.575368] usb 1-1.1: Manufacturer: N-trig
[   34.768007] input: N-trig DuoSense Pen as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1:1.0/input/input10
[   34.768645] input: N-trig DuoSense as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1:1.0/input/input11
[   34.769057] hid-multitouch 0003:1B96:0F00.0002: input,hiddev0,hidraw1: USB HID v1.10 Mouse [N-trig DuoSense] on usb-0000:00:1a.0-1.1/input0


The following patch to /usr/share/X11/xorg.conf.d/50-wacom.conf will initialize the wacom support

--- /usr/share/X11/xorg.conf.d/50-wacom.conf.orig       2013-11-16 15:34:07.392339613 +0100
+++ /usr/share/X11/xorg.conf.d/50-wacom.conf    2013-11-17 02:08:25.684455199 +0100
@@ -34,3 +34,22 @@
        Driver "wacom"
        Option "Button2" "3"
 EndSection
+
+# N-Trig Duosense Electromagnetic Digitizer Sony Vaio Duo 11
+Section "InputClass"
+       Identifier "Wacom N-Trig Pen"
+       MatchProduct "HID 1b96:0f00|N-trig DuoSense Pen"
+       MatchDevicePath "/dev/input/event*"
+       Driver "wacom"
+       Option "Button2" "3"
+EndSection
+
+# N-Trig Duosense Electromagnetic Digitizer Sony Vaio Duo 11
+Section "InputClass"
+       Identifier "Wacom N-Trig Touchpad"
+       MatchProduct "HID 1b96:0f00|N-trig DuoSense"
+       MatchDevicePath "/dev/input/event*"
+       Driver "wacom"
+       Option "Button2" "3"
+EndSection
+


After the patch, I see the following

$ xsetwacom --list
N-trig DuoSense Pen stylus              id: 10  type: STYLUS    
N-trig DuoSense touch                   id: 11  type: TOUCH     
N-trig DuoSense Pen eraser              id: 15  type: ERASER    
N-trig DuoSense Pen pad                 id: 16  type: PAD


And in Xorg.0.log:

[  1163.406] (II) config/udev: Adding input device N-trig DuoSense Pen (/dev/input/event10)
[  1163.406] (**) N-trig DuoSense Pen: Applying InputClass "evdev tablet catchall"
[  1163.406] (**) N-trig DuoSense Pen: Applying InputClass "Wacom N-Trig Pen"
[  1163.407] (**) N-trig DuoSense Pen: Applying InputClass "Wacom N-Trig Touchpad"
[  1163.407] (II) LoadModule: "wacom"
[  1163.407] (II) Loading /usr/lib64/xorg/modules/input/wacom_drv.so
[  1163.407] (II) Module wacom: vendor="X.Org Foundation"
[  1163.407]    compiled for 1.14.2, module version = 0.22.0
[  1163.407]    Module class: X.Org XInput Driver
[  1163.407]    ABI class: X.Org XInput driver, version 19.1
[  1163.407] (II) Using input driver 'wacom' for 'N-trig DuoSense Pen'
[  1163.407] (**) N-trig DuoSense Pen: always reports core events
[  1163.407] (**) Option "Device" "/dev/input/event10"
[  1163.407] (II) N-trig DuoSense Pen: type not specified, assuming 'stylus'.
[  1163.407] (II) N-trig DuoSense Pen: other types will be automatically added.
[  1163.407] (**) Option "Button2" "3"
[  1163.407] (--) N-trig DuoSense Pen stylus: using pressure threshold of 27 for button 1
[  1163.407] (--) N-trig DuoSense Pen stylus: Wacom Unknown USB tablet maxX=9600 maxY=7200 maxZ=256 resX=37000 resY=50000  tilt=enabled
[  1163.407] (II) N-trig DuoSense Pen stylus: hotplugging dependent devices.
[  1163.407] (EE) N-trig DuoSense Pen stylus: Invalid type 'cursor' for this device.
[  1163.407] (EE) N-trig DuoSense Pen stylus: Invalid type 'touch' for this device.
[  1163.407] (II) N-trig DuoSense Pen stylus: hotplugging completed.
[  1163.424] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1:1.0/input/input10/event10"
[  1163.424] (II) XINPUT: Adding extended input device "N-trig DuoSense Pen stylus" (type: STYLUS, id 10)
[  1163.424] (**) N-trig DuoSense Pen stylus: (accel) keeping acceleration scheme 1
[  1163.424] (**) N-trig DuoSense Pen stylus: (accel) acceleration profile 0
[  1163.424] (**) N-trig DuoSense Pen stylus: (accel) acceleration factor: 2.000
[  1163.424] (**) N-trig DuoSense Pen stylus: (accel) acceleration threshold: 4
[  1163.425] (II) config/udev: Adding input device N-trig DuoSense Pen (/dev/input/mouse2)[  1163.425] (II) No input driver specified, ignoring this device.
[  1163.425] (II) This device may have been added with another device file.
[  1163.425] (II) config/udev: Adding input device N-trig DuoSense (/dev/input/event11)
[  1163.425] (**) N-trig DuoSense: Applying InputClass "evdev touchscreen catchall"
[  1163.425] (**) N-trig DuoSense: Applying InputClass "Wacom N-Trig Touchpad"
[  1163.425] (II) Using input driver 'wacom' for 'N-trig DuoSense'
[  1163.425] (**) N-trig DuoSense: always reports core events
[  1163.425] (**) Option "Device" "/dev/input/event11"
[  1163.425] (EE) N-trig DuoSense: Invalid type 'stylus' for this device.
[  1163.425] (EE) N-trig DuoSense: Invalid type 'eraser' for this device.
[  1163.425] (EE) N-trig DuoSense: Invalid type 'cursor' for this device.
[  1163.425] (II) N-trig DuoSense: type not specified, assuming 'touch'.
[  1163.425] (II) N-trig DuoSense: other types will be automatically added.
[  1163.425] (**) Option "Button2" "3"
[  1163.425] (--) N-trig DuoSense touch: using pressure threshold of 27 for button 1
[  1163.426] (--) N-trig DuoSense touch: Wacom Unknown USB tablet maxX=9600 maxY=7200 maxZ=0 resX=37000 resY=50000 
[  1163.426] (II) N-trig DuoSense touch: hotplugging dependent devices.
[  1163.426] (EE) N-trig DuoSense touch: Invalid type 'stylus' for this device.
[  1163.426] (EE) N-trig DuoSense touch: Invalid type 'eraser' for this device.
[  1163.426] (EE) N-trig DuoSense touch: Invalid type 'cursor' for this device.
[  1163.426] (EE) N-trig DuoSense touch: Invalid type 'pad' for this device.
[  1163.426] (II) N-trig DuoSense touch: hotplugging completed.
[  1163.438] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1:1.0/input/input11/event11"
[  1163.438] (II) XINPUT: Adding extended input device "N-trig DuoSense touch" (type: TOUCH, id 11)
[  1163.438] (**) N-trig DuoSense touch: (accel) keeping acceleration scheme 1
[  1163.438] (**) N-trig DuoSense touch: (accel) acceleration profile 0
[  1163.438] (**) N-trig DuoSense touch: (accel) acceleration factor: 2.000
[  1163.438] (**) N-trig DuoSense touch: (accel) acceleration threshold: 4
[  1163.439] (II) config/udev: Adding input device N-trig DuoSense (/dev/input/mouse3)
Comment 1 Peter Hutterer 2014-01-16 22:18:03 EST
please attach an evemu recording for both of the kernel devices, thanks.
Comment 2 Stephan Mueller 2014-01-17 08:44:10 EST
Created attachment 851610 [details]
evemu-record of DuoSense touch pad
Comment 3 Stephan Mueller 2014-01-17 08:44:43 EST
Created attachment 851611 [details]
evemu-record of DuoSense pen
Comment 4 Peter Hutterer 2014-01-19 19:55:51 EST
Created attachment 852577 [details]
uncompressed evemu record DuoSens touch pad
Comment 5 Peter Hutterer 2014-01-19 19:56:41 EST
Created attachment 852578 [details]
uncompressed evemu record DuoSense pen
Comment 6 Fedora Update System 2014-01-19 20:41:07 EST
xorg-x11-drv-wacom-0.23.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xorg-x11-drv-wacom-0.23.0-4.fc20
Comment 7 Fedora Update System 2014-01-19 21:08:53 EST
xorg-x11-drv-wacom-0.23.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xorg-x11-drv-wacom-0.23.0-4.fc19
Comment 8 Fedora Update System 2014-01-21 00:47:57 EST
Package xorg-x11-drv-wacom-0.23.0-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-wacom-0.23.0-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1176/xorg-x11-drv-wacom-0.23.0-4.fc20
then log in and leave karma (feedback).
Comment 9 Stephan Mueller 2014-01-22 23:17:46 EST
New package tested by removing the X11 wacom config and installed the new package. All works and is still detected.

Karma +1 left
Comment 10 Fedora Update System 2014-03-04 01:35:52 EST
xorg-x11-drv-wacom-0.23.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-03-04 01:43:28 EST
xorg-x11-drv-wacom-0.23.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.